%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%define pear_name Net_Traceroute

Name:           php-pear-Net-Traceroute
Version:        0.21.3
Release:        1%{?dist}
Summary:        Execute traceroute

Group:          Development/Libraries
License:        PHP
URL:            http://pear.php.net/package/Net_Traceroute
Source0:        http://pear.php.net/get/%{pear_name}-%{version}.tgz
Source2:        xml2changelog

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  php-pear >= 1:1.4.9-1.2

Requires(post): %{__pear}
Requires(postun): %{__pear}
Provides:       php-pear(%{pear_name}) = %{version}
Requires:       traceroute

%description
OS independent wrapper class for executing traceroute calls.


%prep
%setup -q -c
%{_bindir}/php -n %{SOURCE2} package.xml | tee CHANGELOG | head -n 10

# Create a "localized" php.ini to avoid build warning
cp /etc/php.ini .
echo "date.timezone=UTC" >>php.ini

cd %{pear_name}-%{version}
# package.xml is V2
mv ../package.xml %{name}.xml


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
rm -rf $RPM_BUILD_ROOT docdir
cd %{pear_name}-%{version}
PHPRC=../php.ini %{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{name}.xml

# Move documentation
mv $RPM_BUILD_ROOT%{pear_docdir}/%{pear_name}/docs ../docdir


# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_phpdir}/.??*

# Install XML package description
mkdir -p $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{name}.xml $RPM_BUILD_ROOT%{pear_xmldir}


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc CHANGELOG docdir/*
%{pear_xmldir}/%{name}.xml
%{pear_phpdir}/Net
%exclude %{pear_datadir}


%changelog
* Thu Oct 21 2010 Remi Collet <Fedora@FamilleCollet.com> 0.21.3-1
- Version 0.21.3 (alpha) - API 0.21.1 (alpha)
- set timezone during build
- spec cleanup

* Sat Nov 14 2009 Remi Collet <Fedora@FamilleCollet.com> 0.21.2-1
- new version (bugfix)
- rename Net_Traceroute.xml to php-pear-Net-Traceroute.xml

* Wed May 16 2007 Remi Collet <Fedora@FamilleCollet.com> 0.21.1-2
- From review, change description
- add Requires: traceroute

* Sat May 12 2007 Remi Collet <Fedora@FamilleCollet.com> 0.21.1-1
- initial RPM (generated specfile + cleanup)
- add CHANGELOG and LICENSE
